# class RSS::NotSetError

Raised when a required variable is not set.

### Attributes

name[R]
variables[R]

### Public Class Methods

new(name, variables) click to toggle source
Calls superclass method `Exception::new`

    # File lib/rss/rss.rb, line 189
    def initialize(name, variables)
      @name = name
      @variables = variables
      super("required variables of #{@name} are not set: #{@variables.join(', ')}")
    end